Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cql3
Class Relation

    java.lang.Object
      org.apache.cassandra.cql3.Relation

    public class Relation

extends java.lang.Object

Relations encapsulate the relationship between an entity of some kind, and a value (term). For example, > "start" or "colname1" = "somevalue".

Nested Class Summary
`static class` | `Relation.Type`

Field Summary
`boolean` | `onToken`

Constructor Summary
`Relation(ColumnIdentifier entity, java.lang.String type, Term value)` Creates a new relation.
`Relation(ColumnIdentifier entity, java.lang.String type, Term value, boolean onToken)`

Method Summary
`void` | `addInValue(Term t)`
`static Relation` | `createInRelation(ColumnIdentifier entity)`
`ColumnIdentifier` | `getEntity()`
`java.util.List<Term>` | `getInValues()`
`Term` | `getValue()`
`Relation.Type` | `operator()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### onToken

    public final boolean onToken

Constructor Detail

### Relation

    public Relation(ColumnIdentifier entity,
                    java.lang.String type,
                    Term value)

  Creates a new relation.

  Parameters:
    `entity` - the kind of relation this is; what the term is being compared to.
    `type` - the type that describes how this entity relates to the value.
    `value` - the value being compared.

### Relation

    public Relation(ColumnIdentifier entity,
                    java.lang.String type,
                    Term value,
                    boolean onToken)

Method Detail

### createInRelation

    public static Relation createInRelation(ColumnIdentifier entity)

### operator

    public Relation.Type operator()

### getEntity

    public ColumnIdentifier getEntity()

### getValue

    public Term getValue()

### getInValues

    public java.util.List<Term> getInValues()

### addInValue

    public void addInValue(Term t)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation